Listar remetentes
curl --request GET \
--url https://api.lbpay.example.com/v1/senders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lbpay.example.com/v1/senders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lbpay.example.com/v1/senders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lbpay.example.com/v1/senders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lbpay.example.com/v1/senders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lbpay.example.com/v1/senders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lbpay.example.com/v1/senders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"senderId": "<string>",
"externalId": "<string>",
"type": "INDIVIDUAL",
"status": "ACTIVE",
"complianceLevel": "LEVEL_0",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"birthDate": "2023-12-25",
"nationality": "<string>",
"address": {
"countryCode": "<string>",
"city": "<string>",
"line1": "<string>",
"zipcode": "<string>",
"stateCode": "<string>",
"line2": "<string>"
},
"documents": [
{
"type": "passport",
"documentLast4": "5678",
"countryCode": "<string>",
"stateCode": "<string>",
"expireDate": "2023-12-25",
"verificationStatus": "NOT_VERIFIED"
}
],
"occupation": "<string>",
"employerName": "<string>",
"sourceOfFunds": "<string>",
"nextLevel": {
"level": "LEVEL_1",
"missingRequirements": [
"occupation",
"documents.ssn"
]
}
}
],
"pagination": {
"limit": 123,
"hasMore": true,
"nextCursor": "<string>"
}
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Senders
List senders
GET
/
v1
/
senders
Listar remetentes
curl --request GET \
--url https://api.lbpay.example.com/v1/senders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lbpay.example.com/v1/senders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lbpay.example.com/v1/senders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lbpay.example.com/v1/senders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lbpay.example.com/v1/senders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lbpay.example.com/v1/senders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lbpay.example.com/v1/senders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"senderId": "<string>",
"externalId": "<string>",
"type": "INDIVIDUAL",
"status": "ACTIVE",
"complianceLevel": "LEVEL_0",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"birthDate": "2023-12-25",
"nationality": "<string>",
"address": {
"countryCode": "<string>",
"city": "<string>",
"line1": "<string>",
"zipcode": "<string>",
"stateCode": "<string>",
"line2": "<string>"
},
"documents": [
{
"type": "passport",
"documentLast4": "5678",
"countryCode": "<string>",
"stateCode": "<string>",
"expireDate": "2023-12-25",
"verificationStatus": "NOT_VERIFIED"
}
],
"occupation": "<string>",
"employerName": "<string>",
"sourceOfFunds": "<string>",
"nextLevel": {
"level": "LEVEL_1",
"missingRequirements": [
"occupation",
"documents.ssn"
]
}
}
],
"pagination": {
"limit": 123,
"hasMore": true,
"nextCursor": "<string>"
}
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
ACTIVE, RESTRICTED, BLOCKED, INACTIVE Cursor opaco retornado em pagination.nextCursor.
Required range:
1 <= x <= 100
